#
# spec file for package ghc-xmlhtml
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name xmlhtml
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.2.3.5
Release:        1.12
Summary:        XML parser and renderer with HTML 5 quirks mode
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/3.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-blaze-html-devel
BuildRequires:  ghc-blaze-markup-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-test-framework-devel
BuildRequires:  ghc-test-framework-hunit-devel
BuildRequires:  ghc-test-framework-quickcheck2-devel
%endif

%description
Contains renderers and parsers for both XML and HTML 5 document fragments,
which share data structures so that it's easy to work with both.
Document fragments are bits of documents, which are not constrained by some of
the high-level structure rules (in particular, they may contain more than one
root element).

Note that this is not a compliant HTML 5 parser. Rather, it is a parser for
HTML 5 compliant documents. It does not implement the HTML 5 parsing algorithm,
and should generally be expected to perform correctly only on documents that
you trust to conform to HTML 5. This is not a suitable library for implementing
web crawlers or other software that will be exposed to documents from outside
sources. The result is also not the HTML 5 node structure, but rather something
closer to the physical structure. For example, omitted start tags are not
inserted (and so, their corresponding end tags must also be omitted).

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Mon Jan 23 2017 psimons@suse.com
- Update to version 0.2.3.5 revision 3 with cabal2obs.
* Fri Oct 21 2016 psimons@suse.com
- Update to version 0.2.3.5 revision 2 with cabal2obs.
* Sun Oct  9 2016 psimons@suse.com
- Update to version 0.2.3.5 revision 1 with cabal2obs.
* Wed Aug 17 2016 psimons@suse.com
- Update to version 0.2.3.5 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.2.3.4 revision 1 with cabal2obs.
